## roaraudio 0.4~beta7

=== Makefile ===
include Makefile.conf
include Makefile.inc

COMP_LIB=$(subdir_libroaresd) $(subdir_libroarsndio) $(subdir_libroaryiff) $(subdir_libroarpulse) $(subdir_libroararts) $(subdir_libroaross) $(subdir_libroarrsound)

SUBDIRS=$(comp_libs) $(COMP_LIB) $(comp_comp_bins) $(subdir_roarfish) $(comp_clients) $(comp_roard) $(comp_doc)

PLUGINS=$(subdir_plugins_ao) $(subdir_plugins_xmms) $(subdir_plugins_audacious)

PREFIX_CKPORT=$(PREFIX_LIB)/ckport/db/
CKPORTDB=libroar.ckport

all:
	set -e; for i in ${SUBDIRS}; do cd $$i; $(MAKE) all; cd ..; done;
	set -e; for i in ${PLUGINS}; do cd $$i; $(MAKE) all; cd ../..; done;
clean:
	rm -f lib/* || true
	set -e; for i in ${SUBDIRS}; do cd $$i; $(MAKE) clean; cd ..; done;
	set -e; for i in ${PLUGINS}; do cd $$i; $(MAKE) clean; cd ../..; done;
	set -e; cd tests/; $(MAKE) clean; cd ..;

distclean: clean
	rm -f Makefile.conf config.log include/roaraudio/config.h

new: clean all

test: all
	set -e; cd tests; $(MAKE) test; cd ..;

build-pc-files:
	set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then for lib in $(comp_libs); do $(EXEC_HELPER) ./lib/roar-config --output-pc $$lib > lib/$$lib.pc; done; fi

prep-install: prep-install-dirs build-pc-files

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'
	mkdir -p '$(DESTDIR)$(PREFIX_PC)'
	mkdir -p '$(DESTDIR)$(PREFIX_COMP_LIBS)'
	mkdir -p '$(DESTDIR)$(PREFIX_COMP_BINS)'
	mkdir -p '$(DESTDIR)$(PREFIX_CKPORT)'
	set -e; cd doc; $(MAKE) prep-install-dirs; cd ..

install: prep-install
	cp $(cp_v) lib/roar*     '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(CKPORTDB)   '$(DESTDIR)$(PREFIX_CKPORT)'
	set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then cp $(cp_v) lib/*.pc      '$(DESTDIR)$(PREFIX_PC)'; fi
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do cp $$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $$file.$(COMMON_SOVERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file; done'
	sh -c 'set -e; cd lib; while read d t; do ln -fs '$(PREFIX_LIB)'/$$d '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; cp $$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
	sh -c 'set -e; for file in include/roar* include/lib*; do cp $(cp_v) -r $$file '$(DESTDIR)$(PREFIX_INC)'/; done'
	set -e; cd doc; $(MAKE) install; cd ..
	set -e; for i in $(PLUGINS); do if [ "$$i" != '' ]; then cd $$i; $(MAKE) install; cd ../..; fi; done

semi-install: prep-install
	sh -c 'set -e; for file in lib/roar*;    do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_BIN)'/; done'
	ln -fs `pwd`/$(CKPORTDB) '$(DESTDIR)$(PREFIX_CKPORT)/'
	sh -c 'set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then for file in lib/*.pc;     do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PC)'/; done; fi'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/; done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
	sh -c 'set -e; cd lib; while read d t; do ln -fs `pwd`/$$d '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
	sh -c 'set -e; for file in include/roar* include/lib*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_INC)'/; done'
	set -e; cd doc; $(MAKE) semi-install; cd ..
	set -e; for i in $(PLUGINS); do if [ "$$i" != '' ]; then cd $$i; $(MAKE) semi-install; cd ../..; fi; done

=== libroar/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroar$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroar.a
VIO_META=vio.o vio_select.o vio_ops.o vio_string.o
VIO_BRIDGE=vio_bio.o vio_stdio.o
VIO=$(VIO_META) $(VIO_BRIDGE) vio_cmd.o vio_magic.o vio_pipe.o vio_socket.o vio_winsock.o vio_stack.o vio_jumbo.o vio_proto.o vio_dstr.o vio_tantalos.o vio_rtp.o vio_buffer.o vio_buffer_store.o vio_stdvios.o vio_misc.o vio_zlib.o
HASHES=hash.o hash_tiger.o
PASSWORD=passwordapi.o pinentry.o sshaskpass.o
CRYPTO=crypto.o random.o $(HASHES) crc.o
OBJS=libroar.o config.o debug.o error.o basic.o stream.o client.o simple.o auth.o socket.o ctl.o buffer.o meta.o file.o acl.o cdrom.o $(PASSWORD) $(VIO) stack.o slp.o nnode.o roardl.o roarx11.o beep.o proto.o env.o keyval.o vs.o ltm.o notify.o notify_proxy.o asyncctl.o enumdev.o serverinfo.o $(CRYPTO) authfile.o caps.o roarfloat.o base64.o trap.o memmgr.o time.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroar
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(SHARED) $(LDPATH)
LIBS    = $(LIBROAR_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROAR_V) -o $(SLIB) ${OBJS} ${LIBS}
libroar.a: ${OBJS}
	${AR} cru libroar.a ${OBJS}
	${RANLIB} libroar.a

=== roarclients/Makefile ===
TARGETS_DEVEL=roartypes roarsocktypes roar-config
TARGETS_EXAMPLE=roarvorbis roarsin
TARGETS_IO=roarcat roarcatplay roarcatvio roarbidir roarmon roarmonhttp roarradio
TARGETS_CTL=roarctl roarlight roarinterconnect roarclientpass
TARGETS_DSP=roarfilt roarvumeter
TARGETS_MISC=roarsockconnect roarphone roarshout
TARGETS_M=roardtmf
TARGETS_VIO=roarvio

TARGETS_TESTS=pinentrytest zcattest pgptest pipetest polytest roarfctest
TARGETS_OLD=roarcatad roarcat2sock roarcatsendfile roarcatpassfh

TARGETS=$(TARGETS_IO) $(TARGETS_CTL) $(TARGETS_DSP) $(TARGETS_MISC) $(TARGETS_DEVEL) $(TARGETS_EXAMPLE) $(TARGETS_M) $(TARGETS_VIO)

# tools we maybe want to kick of the package
TARGETS += $(TARGETS_TESTS) $(TARGETS_OLD)


TOOLS=roarify

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
DEFINES    = -DCOMMON_VERSION=\"$(COMMON_VERSION)\" -DPREFIX=\"$(PREFIX)\" -DPREFIX_LIB=\"$(PREFIX_LIB)\" -DPREFIX_INC=\"$(PREFIX_INC)\"
INCLUDE    = -I../include -I./include
CFLAGS    += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
LDFLAGS   += -g -L../lib/ $(LDPATH)
LIBS       = $(LIBROAR)
SHOUTLIBS  = $(lib_shout) $(LIBS)
VORBISLIBS = $(lib_vorbisfile) $(lib_vorbis) $(lib_ogg) $(LIBS)

LNL        = $(CC) $(LDFLAGS) -o $@ $+
L          = $(LNL) $(LIBS)

all: ${TARGETS} $(TOOLS)
	cp $(cp_v) ${TARGETS} $(TOOLS) ../lib/
clean:
	rm -f ${TARGETS} ${TOOLS} *.o
new: clean all

roarcat: roarcat.o
	$L
roarcatad: roarcatad.o
	$L
roarcat2sock: roarcat2sock.o
	$L
roarcatsendfile: roarcatsendfile.o
	$L
roarcatplay: roarcatplay.o
	$L
roarcatpassfh: roarcatpassfh.o
	$L
roarcatvio: roarcatvio.o
	$L
roarradio: roarradio.o
	$L
roarctl: roarctl.o
	$L $(LIBROARDSP) $(lib_m)
roarmon: roarmon.o
	$L
roarmonhttp: roarmonhttp.o
	$L
roarinterconnect: roarinterconnect.o
	$L $(lib_esd) $(LIBROAREIO) $(lib_rsound)
roarclientpass: roarclientpass.o
	$L
roarbidir: roarbidir.o
	$L
roarphone: roarphone.o
	${CC} ${LDFLAGS} -o roarphone roarphone.o $(LIBROARDSP) $(LIBROAREIO) $(LIBS)
roarfilt: roarfilt.o
	${CC} ${LDFLAGS} -o roarfilt roarfilt.o $(LIBROARDSP) $(LIBS) $(lib_m)
roarsin: roarsin.o
	${CC} ${LDFLAGS} -o roarsin roarsin.o $(LIBROARDSP) $(LIBS) $(lib_m)
roarvumeter: roarvumeter.o
	${CC} ${LDFLAGS} -o roarvumeter roarvumeter.o $(LIBS) $(LIBROARDSP) $(lib_m)
roardtmf: roardtmf.o
	${CC} ${LDFLAGS} -o roardtmf roardtmf.o $(LIBS) $(lib_m)
roarsockconnect: roarsockconnect.o
	$L
roarvio: roarvio.o
	$L
roartypes: roartypes.o
	$L
roarsocktypes: roarsocktypes.o
	$L
roar-config: roar-config.o
	$(LNL)
roarvorbis: roarvorbis.o
	${CC} ${LDFLAGS} -o roarvorbis roarvorbis.o $(VORBISLIBS) $(LIBS)
roarshout: roarshout.o
	${CC} ${LDFLAGS} -o roarshout roarshout.o $(SHOUTLIBS) $(LIBS)
polytest: polytest.o
	${CC} ${LDFLAGS} -o polytest polytest.o $(LIBROARDSP) $(LIBS)
roarlight: roarlight.o
	${CC} ${LDFLAGS} -o roarlight roarlight.o $(LIBROARLIGHT) $(LIBS)
pinentrytest: pinentrytest.o
	$L
zcattest: zcattest.o
	$L
pgptest: pgptest.o
	$L
pipetest: pipetest.o
	$L
roarfctest: roarfctest.o
	${CC} ${LDFLAGS} -o roarfctest roarfctest.o $(LIBROARDSP) $(LIBS) $(lib_m)

roarify.sht:
roarify: roarify.sht
	sed 's#%%%PREFIX_COMP_LIBS%%%#$(PREFIX_COMP_LIBS)#g; s#%%%PREFIX_COMP_BINS%%%#$(PREFIX_COMP_BINS)#g; s#%%%PREFIX_LIB%%%#$(PREFIX_LIB)#g; s#%%%VERSION%%%#$(COMMON_SOVERSION)#g;' < roarify.sht > roarify
	chmod +rx roarify

=== tests/Makefile ===
include ../Makefile.conf

CLIENTS=roar-config roarbidir roarcat roarcat2sock roarcatad roarcatpassfh roarcatplay roarcatsendfile roarcatvio roarctl roarfilt roarmon roarradio roarshout roarsin roarsockconnect roarsocktypes roartypes roarvorbis roarvumeter roarinterconnect roarlight roarphone


all:
	echo Warning: There is nothing to build
clean: sandbox-clean
	rm -f *.o rat-*

new: clean all

#test: sandbox-install test-all sandbox-clean
test: sandbox-clean sandbox-install test-all sandbox-clean

test-all: test-runnable test-roard test-rat

test-runnable:
	PREFIX_BIN=$(PREFIX_BIN) PREFIX_LIB=$(PREFIX_LIB) EXEC_HELPER=$(EXEC_HELPER) ./test-runnable.sh "$(CLIENTS)"
test-roard:
	PREFIX_BIN=$(PREFIX_BIN) PREFIX_LIB=$(PREFIX_LIB) EXEC_HELPER=$(EXEC_HELPER) ./test-roard.sh

test-rat: rat.o test-rat.o
	$(CC) -Wall -Wextra -O2 -g -o rat-rat rat.o test-rat.o
	$(EXEC_HELPER) ./rat-rat


sandbox-install: sandbox
sandbox:
	mkdir sandbox
	sh -c 'cd ..; DESTDIR=`pwd`/tests/sandbox $(MAKE) install'
sandbox-clean:
	rm -rf sandbox/

=== plugins/alsa/Makefile ===
BASENAME=libasound_module_pcm_roar
SLIB=$(BASENAME)$(SHARED_SUFFIX)
TARGET=$(SLIB)
INSTALL_DIR=$(PREFIX_LIB)/alsa-lib/
OBJS=pcm_roar.o roar.o thread.o

include ../../Makefile.conf
include ../../Makefile.inc
#include Makefile.conf

#DEBUG=-DDEBUG -DXXX
DEFINES=-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alsa-plugins\" -DVERSION=\"1.0.13\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -D_REENTRANT
CFLAGS += -g -Wall $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(DEBUG) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE $(pthread)
LDFLAGS+= -g $(SHARED) $(LDPATH) -L../../lib $(pthread)
LIBS    = $(LIBROAR) $(lib_m) $(lib_dl) -lrt $(lib_asound)

all: ${TARGET}
clean:
	rm -f ${TARGET} *.o tests tests.c
new: clean all

install: ${TARGET}
	mkdir -p ${DESTDIR}${INSTALL_DIR}
	cp ${TARGET} ${DESTDIR}${INSTALL_DIR}
semi-install: ${TARGET}
	mkdir -p ${DESTDIR}${INSTALL_DIR}
	ln -fs `pwd`/$(SLIB) ${DESTDIR}${INSTALL_DIR}

$(SLIB): $(OBJS)
	$(CC) $(LDFLAGS) -Wl,-soname -Wl,$(SLIB) -o $(SLIB) $(OBJS) $(LIBS)

=== debian/changelog ===
roaraudio (0.4~beta7-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Audio drivers got updated to correctly use sync logic.
      All drivers should now work again.

  [ Patrick Matthäi ]
  * Add missing build-arch and build-indep target.
  * Add patch 01-fix-man-errors.diff to fix new format errors in manpages.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 10 Jul 2011 19:52:10 +0200

roaraudio (0.4~beta6-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Re-enable libfishsound.
  * Updated Build-Depends for libz and portaudio v.19.
  * Suggest ckport and libmuroar-dev package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 23 May 2011 21:00:29 +0200

roaraudio (0.4~beta5-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Moved suggest of slpd package from pkg:roaraudio to pkg:libroar1.

  [ Patrick Matthäi ]
  * Build with hardening-wrapper.
  * Wrap build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 17:24:02 +0200

roaraudio (0.4~beta5~pr0-1) unstable; urgency=low

  * New upstream release.
    - Add new files.
  * Remove arts implementation, since it will be removed from Debian.
    Closes: #620638
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Suggest slpd package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Apr 2011 21:47:17 +0200

roaraudio (0.4~beta4-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 25 Mar 2011 21:55:56 +0100

roaraudio (0.4~beta4~pr0-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * Move roaraudio-server from recommends to suggests.
    Closes: #613625

  [ Philipp Schafft ]
  * New upstream release.
  * Fixed some small error within the init script
    See also: #613772

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 27 Feb 2011 16:11:03 +0100

=== debian/control ===
Source: roaraudio
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Philipp Schafft <lion@lion.leolix.org>
Build-Depends: debhelper (>= 7),
 hardening-wrapper,
 bash-completion,
 libz-dev,
 libfishsound1-dev,
 libvorbis-dev,
 libspeex-dev,
 libshout3-dev,
 libsndfile1-dev,
 liboggz2-dev,
 libslp-dev,
 liby-dev,
 libesd0-dev,
 libspeexdsp-dev,
 libao-dev,
 libx11-dev,
 libflac-dev,
 libcelt-dev (>= 0.7.1),
 libcelt-dev (<< 0.8.0~),
 libpulse-dev [!hurd-i386],
 libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 portaudio19-dev,
 libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.9.2
Section: libs
Homepage: http://roaraudio.keep-cool.org/

Package: libroar1
Architecture: any
Suggests: bzip2, gnupg, openssh-client, pinentry, libmuroar0, roaraudio-server,
 slpd
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libroar0
Replaces: libroar0
Description: foundation libraries for the RoarAudio sound server and clients
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.

Package: libroar-dev
Section: libdevel
Architecture: any
Provides: libsndio-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, libroar1 (= ${binary:Version}),
 libroar-compat1 (= ${binary:Version}), libslp-dev, libx11-dev,
 libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Suggests: ckport, libmuroar-dev
Description: header files and documentation for the RoarAudio libraries
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the development headers for the libroar library.

Package: roaraudio-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends},
 libroar1 (= ${binary:Version}), roaraudio (= ${binary:Version}),
 libroar-compat1 (= ${binary:Version})
Description: RoarAudio sound server for audio mixing (debugging symbols)
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the debugging symbols for RoarAudio.

Package: roaraudio
Section: sound
Architecture: any
Provides: roaraudio-server, rsound-server
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: oss-compat [!hurd-i386]
Suggests: libroar-compat1, socat, wget
Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1)
Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1)
Description: sound server for audio mixing
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.

Package: libroar-compat1
Architecture: any
Provides: libsndio1
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: roaraudio (<< 0.3~beta7-pr2-1)
Conflicts: libroar-compat0
Replaces: libroar-compat0
Description: drop-in replacements for other sound libraries
 To get programs which use the EsounD (ESD), OpenBSD sndio, PulseAudio
 or YIFF API running, you can install this package and replace the appropriate
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')

ifeq (,$(DEB_BUILD_ARCH))
	DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
endif

build: build-stamp
build-stamp:
	dh_testdir
	CXXFLAGS="$(CXXFLAGS)" ./configure \
	--prefix /usr --without-xmms --without-audacious \
	--without-beta --runtime-detect \
	--link-deps indirect --without-memory-api \
	--oss-dev /dev/dsp --oss-mixer-dev /dev/mixer \
	--proc-net-decnet-neigh /proc/net/decnet_neigh \
	--proc-net-arp /proc/net/arp \
	--distribution-version-string "Debian-$(DEB_VERSION)"
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	[ ! -f Makefile.conf ] || $(MAKE) -i distclean
	rm -rf $(CURDIR)/debian/tmp
	rm -f debian/roaraudio.init
	rm -f debian/roaraudio.default

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cp dist/debian-like/roaraudio debian/roaraudio.init
	cp dist/debian-like/defaults debian/roaraudio.default
	cp dist/debian-like/sndio.h debian/tmp/usr/include/
	mkdir -p debian/tmp/etc/bash_completion.d
	cp plugins/bash/roaraudio debian/tmp/etc/bash_completion.d/roaraudio
	ln -s libroarsndio.so.1 debian/tmp/usr/lib/libsndio.so.1
	ln -s libsndio.so.1 debian/tmp/usr/lib/libsndio.so

build-arch: build

build-indep: build

binary-indep: build install

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_link -a
ifneq ($(DEB_BUILD_ARCH),hurd-i386)
	dh_install --ignore=debian/libroar-compat1.install -plibroar-compat1 "debian/tmp/usr/lib/libroarpulse*.so.*"
	dh_install --ignore=debian/libroar-dev.install -plibroar-dev "debian/tmp/usr/lib/libroarpulse-simple.so"
	dh_install --ignore=debian/libroar-dev.install -plibroar-dev "debian/tmp/usr/lib/libroarpulse.so"
endif
	dh_install -a --list-missing
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a
	dh_bash-completion -a
	dh_lintian -a
	dh_link -a
	dh_strip -a --dbg-package=roaraudio-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## roaraudio 0.4

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 PREFIX_CKPORT=$(PREFIX_LIB)/ckport/db/
 CKPORTDB=libroar.ckport
+
+SUFFIX_LIB=$(SHARED_SUFFIX).$(COMMON_SOVERSION)
 
 all:
 	set -e; for i in ${SUBDIRS}; do cd $$i; $(MAKE) all; cd ..; done;
@@ -49,7 +51,7 @@
 	set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then cp $(cp_v) lib/*.pc      '$(DESTDIR)$(PREFIX_PC)'; fi
 	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do cp $$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
 	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $$file.$(COMMON_SOVERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file; done'
-	sh -c 'set -e; cd lib; while read d t; do ln -fs '$(PREFIX_LIB)'/$$d '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
+	sh -c 'set -e; cd lib; while read d t; do ln -fs '$(PREFIX_LIB)'/$$d$(SUFFIX_LIB) '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
 	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; cp $$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
 	sh -c 'set -e; for file in include/roar* include/lib*; do cp $(cp_v) -r $$file '$(DESTDIR)$(PREFIX_INC)'/; done'
 	set -e; cd doc; $(MAKE) install; cd ..
@@ -61,7 +63,7 @@
 	sh -c 'set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then for file in lib/*.pc;     do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PC)'/; done; fi'
 	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/; done'
 	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
-	sh -c 'set -e; cd lib; while read d t; do ln -fs `pwd`/$$d '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
+	sh -c 'set -e; cd lib; while read d t; do ln -fs `pwd`/$$d$(SHARED_SUFFIX) '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
 	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
 	sh -c 'set -e; for file in include/roar* include/lib*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_INC)'/; done'
 	set -e; cd doc; $(MAKE) semi-install; cd ..

=== libroar/Makefile ===
--- 
+++ 
@@ -6,13 +6,14 @@
 TARGETS=$(SLIB) libroar.a
 VIO_META=vio.o vio_select.o vio_ops.o vio_string.o
 VIO_BRIDGE=vio_bio.o vio_stdio.o
-VIO=$(VIO_META) $(VIO_BRIDGE) vio_cmd.o vio_magic.o vio_pipe.o vio_socket.o vio_winsock.o vio_stack.o vio_jumbo.o vio_proto.o vio_dstr.o vio_tantalos.o vio_rtp.o vio_buffer.o vio_buffer_store.o vio_stdvios.o vio_misc.o vio_zlib.o
+VIO=$(VIO_META) $(VIO_BRIDGE) vio_cmd.o vio_magic.o vio_pipe.o vio_socket.o vio_winsock.o vio_stack.o vio_jumbo.o vio_proto.o vio_dstr.o vio_tantalos.o vio_rtp.o vio_buffer.o vio_buffer_store.o vio_stdvios.o vio_misc.o vio_zlib.o vio_stream.o
 HASHES=hash.o hash_tiger.o
 PASSWORD=passwordapi.o pinentry.o sshaskpass.o
 CRYPTO=crypto.o random.o $(HASHES) crc.o
 OBJS=libroar.o config.o debug.o error.o basic.o stream.o client.o simple.o auth.o socket.o ctl.o buffer.o meta.o file.o acl.o cdrom.o $(PASSWORD) $(VIO) stack.o slp.o nnode.o roardl.o roarx11.o beep.o proto.o env.o keyval.o vs.o ltm.o notify.o notify_proxy.o asyncctl.o enumdev.o serverinfo.o $(CRYPTO) authfile.o caps.o roarfloat.o base64.o trap.o memmgr.o time.o
 
 #DEFINES        = -DDEBUG
+DEFINES+= -D_LIBROAR_NOATTR_WARNINGS
 INCLUDE = -I../include -I../include/libroar
 CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
 LDFLAGS+= -g $(SHARED) $(LDPATH)

=== libroararts/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

#TARGETS=libartsc$(SHARED_SUFFIX) libroarartsc$(SHARED_SUFFIX)
TARGETS=libroarartsc$(SHARED_SUFFIX)
OBJS=libartsc.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarpulse
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

#libartsc$(SHARED_SUFFIX): libroarartsc$(SHARED_SUFFIX)
#	cp libroarartsc$(SHARED_SUFFIX) libartsc$(SHARED_SUFFIX)
libroarartsc$(SHARED_SUFFIX): ${OBJS}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,libroarartsc$(SHARED_SUFFIX).$(COMMON_SOVERSION) -o libroarartsc$(SHARED_SUFFIX) ${OBJS} ${LIBS}

=== libroardsp/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroardsp$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroardsp.a
OBJS=libroardsp.o convert.o midside.o poly.o filter.o filterchain.o remove.o transcode.o vio_transcode.o rms.o fader.o mixer.o amp.o interleave.o channels.o resampler_poly3.o float.o
OLDROAR=midi.o
FILTER=filter_lowp.o filter_highp.o filter_amp.o filter_quantify.o filter_add.o filter_clip.o filter_downmix.o filter_dcblock.o filter_swap.o filter_agc.o filter_speex_prep.o
MIDI=synth.o
CODECS=alaw.o mulaw.o
TRANSCODERS=transcode_mualaw.o transcode_celt.o transcode_speex.o

ALLOBJS=$(OBJS) $(FILTER) $(TRANSCODERS) $(OLDROAR) $(MIDI) $(CODECS)

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroardsp
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(SHARED) -L../lib/ $(LDPATH)

LIBS      = $(LIBROARDSP_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): $(ALLOBJS)
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARDSP_V) -o $(SLIB) $(ALLOBJS) $(LIBS)
libroardsp.a: $(ALLOBJS)
	${AR} cru libroardsp.a $(ALLOBJS)
	${RANLIB} libroardsp.a

=== libroareio/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroareio$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroareio.a
DRIVER=driver.o driver_oss.o driver_roar.o esdfw.a
FF=ff_ssdp.o
OBJS=libroareio.o $(DRIVER) $(FF) httpd.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroareio
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROAREIO_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} autodetected.h esdfw.a *.o
new: clean all

esdfw.a:
	if [ "`ls esdfw_*.o`" != '' ]; then ${AR} cru esdfw.a esdfw_*.o; else ${AR} cru esdfw.a; fi
	${RANLIB} esdfw.a

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROAREIO_V) -o $(SLIB) $(OBJS) $(LIBS)
libroareio.a: ${OBJS}
	${AR} cru libroareio.a ${OBJS}
	${RANLIB} libroareio.a

driver.c: autodetected.h
autodetected.h:
	echo "/* *** */" > autodetected.h
	[ -f driver_esdfw.h -a -f driver_esdfw.c ] && echo '#define ROAR_HAVE_AD_ESDFW' >> autodetected.h || true
	echo "/* *** */" >> autodetected.h

=== libroaresd/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

LIB_BASENAME=libroaresd
SLIB=$(LIB_BASENAME)$(SHARED_SUFFIX)

TARGETS=$(SLIB) $(LIB_BASENAME).a
OBJS=libroaresd.o esdbasic.o esdctl.o esdstream.o esdsample.o esdfile.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroaresd
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
$(LIB_BASENAME).a: ${OBJS}
	${AR} cru $(LIB_BASENAME).a ${OBJS}
	${RANLIB} $(LIB_BASENAME).a

=== libroarpulse/Makefile ===
LIB_PREFIX=libroarpulse
LIB_STDAPI=$(LIB_PREFIX)$(SHARED_SUFFIX)
LIB_SIMPLE=$(LIB_PREFIX)-simple$(SHARED_SUFFIX)

TARGETS=$(LIB_STDAPI) $(LIB_SIMPLE) libroarpulseinfo
OBJS_ROAR   = libroarpulse.o
OBJS_STD    = util.o error.o timeval.o context.o xmalloc.o version.o operation.o introspect.o sample.o channelmap.o stream.o volume.o mainloop.o mainloop-signal.o utf8.o x11.o
OBJS_SIMPLE = simple.o
OBJS_STDAPI = $(OBJS_ROAR) $(OBJS_STD)

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarpulse
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(LDPATH) -L../lib/ -L.
LIBS    = $(LIBROAR)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(LIB_STDAPI): ${OBJS_STDAPI}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_STDAPI).$(COMMON_SOVERSION) -o $(LIB_STDAPI) ${OBJS_STDAPI} ${LIBS}

$(LIB_SIMPLE): ${OBJS_SIMPLE} $(LIB_STDAPI)
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_SIMPLE).$(COMMON_SOVERSION) -o $(LIB_SIMPLE) ${OBJS_SIMPLE} ${LIBS} -lroarpulse


libroarpulseinfo: libroarpulseinfo.o

=== libroaryiff/Makefile ===
TARGETS=libroaryiff.so
OBJS=libroaryiff.o connection.o playback.o audiocd.o ctl.o stub.o file.o events.o

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroaryiff
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

libroaryiff.so: ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,libroaryiff$(SHARED_SUFFIX).$(COMMON_SOVERSION) -o libroaryiff$(SHARED_SUFFIX) ${OBJS} ${LIBS}

=== roarclients/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TARGETS_DEVEL=roartypes roarsocktypes roar-config
+TARGETS_DEVEL=roartypes roar-config
 TARGETS_EXAMPLE=roarvorbis roarsin
 TARGETS_IO=roarcat roarcatplay roarcatvio roarbidir roarmon roarmonhttp roarradio
 TARGETS_CTL=roarctl roarlight roarinterconnect roarclientpass
@@ -7,8 +7,8 @@
 TARGETS_M=roardtmf
 TARGETS_VIO=roarvio
 
-TARGETS_TESTS=pinentrytest zcattest pgptest pipetest polytest roarfctest
-TARGETS_OLD=roarcatad roarcat2sock roarcatsendfile roarcatpassfh
+#TARGETS_TESTS=pinentrytest zcattest pgptest pipetest polytest roarfctest
+#TARGETS_OLD=roarcatad roarcat2sock roarcatsendfile roarcatpassfh roarsocktypes
 
 TARGETS=$(TARGETS_IO) $(TARGETS_CTL) $(TARGETS_DSP) $(TARGETS_MISC) $(TARGETS_DEVEL) $(TARGETS_EXAMPLE) $(TARGETS_M) $(TARGETS_VIO)

=== roard/Makefile ===
TARGETS=roard

OBJ=roard.o driver.o mixer.o output.o signals.o loop.o clients.o streams.o network.o commands.o req.o sources.o sample.o meta.o codecfilter.o lib.o ssynth.o container_framework.o plugins.o memlock.o hwmixer.o auth.o caps.o rolestack.o
SUBSYS=midi.o light.o raw.o rdtcs.o waveform.o beep.o
DRV=driver_esd.o driver_ao.o driver_roar.o driver_raw.o driver_oss.o driver_shout.o driver_sndio.o driver_dmx.o driver_pwmled.o driver_sysclock.o driver_wmm.o driver_dstr.o driver_alsa.o driver_rsound.o driver_portaudio.o driver_pulsesimple.o driver_jack.o driver_artsc.o
CF_CODEC=codecfilter_cmd.o codecfilter_vorbis.o codecfilter_celt.o codecfilter_speex.o codecfilter_alaw.o codecfilter_mulaw.o codecfilter_sndfile.o codecfilter_fishsound.o codecfilter_flac.o
CF_CONTAINER=codecfilter_wave.o codecfilter_raum.o codecfilter_au.o
EMUL=emul_esd.o emul_simple.o emul_rsound.o emul_rplay.o emul_gopher.o
HWMIXER=hwmixer_dstr.o hwmixer_oss.o

CF=${CF_CONTAINER} ${CF_CODEC}

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
#DEFINES        = -DMONITOR_LATENCY
PKGDEFINES= -DPACKAGE_VERSION="\"$(VERSION)\"" -DDEVICE_VENDOR_ID=$(DEV_VENDOR) -DDEVICE_VENDOR_NAME="\"$(DEV_VENDOR_NAME)\"" -DDEVICE_VENDOR_STRING="\"$(DEV_VENDOR_STRING)\"" -DDISTRIBUTION_VERSION_STRING="\"$(DISTRIBUTION_VERSION_STRING)\""
INCLUDE   = -I../include -I./include
CFLAGS   += -g -Wall $(OPTI_O) $(DEFINES) $(PKGDEFINES) $(INCLUDE) $(INCPATH)
LDFLAGS  += -g -rdynamic -L../lib/ $(LDPATH)
DRVLIBS   = $(lib_esd) $(lib_ossaudio) $(lib_ao) $(lib_shout) $(lib_sndio) $(lib_rsound) $(lib_portaudio) $(lib_pablio) $(lib_asound) $(lib_winmm) $(lib_pulse_simple) $(lib_pulse) $(lib_jack) $(lib_artsc)
CODEC_CELT= $(lib_celt) $(lib_celt0)
CODECLIBS = $(lib_vorbisfile) $(lib_vorbisenc) $(lib_vorbis) $(lib_fishsound) $(lib_speex) $(lib_speexdsp) $(CODEC_CELT) $(lib_flac)
CONTLIBS  = $(lib_oggz) $(lib_sndfile) $(lib_ogg) $(lib_raum)
OWNLIBS   = $(LIBROAREIO) $(LIBROARLIGHT) $(LIBROARMIDI) $(LIBROARDSP) $(LIBROAR)
LIBS      = $(DRVLIBS) $(CODECLIBS) $(CONTLIBS) $(OWNLIBS) $(lib_slp)

all: ${TARGETS}
	rm -f ../lib/${TARGETS} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

run: roard
	./roard $(ARGS)

roard: ${OBJ} ${SUBSYS} ${DRV} ${CF} ${EMUL} ${HWMIXER}
	${CC} ${LDFLAGS} -o roard ${OBJ} ${SUBSYS} ${DRV} ${CF} ${EMUL} ${HWMIXER} ${LIBS}

=== roarfish/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

TARGETS=roarfish

OBJ=roarfish.o play.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I./include
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
LDFLAGS+= -g -L../lib/ $(LDPATH)
LIBS    = $(LIBROAR) $(lib_fishsound) $(lib_oggz)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

roarfish: ${OBJ}
	${CC} ${LDFLAGS} -o roarfish ${OBJ} ${LIBS}

=== tests/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../Makefile.conf
 
-CLIENTS=roar-config roarbidir roarcat roarcat2sock roarcatad roarcatpassfh roarcatplay roarcatsendfile roarcatvio roarctl roarfilt roarmon roarradio roarshout roarsin roarsockconnect roarsocktypes roartypes roarvorbis roarvumeter roarinterconnect roarlight roarphone
+CLIENTS=roar-config roarbidir roarcat roarcatplay roarcatvio roarctl roarfilt roarmon roarradio roarshout roarsin roarsockconnect roartypes roarvorbis roarvumeter roarinterconnect roarlight roarphone
 
 
 all:

=== debian/changelog ===
roaraudio (0.4-3) unstable; urgency=low

  * Mangle rc to ~rc in debian/watch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jan 2012 16:07:05 +0100

roaraudio (0.4-2) unstable; urgency=medium

  [ Philipp Schafft ]
  * Corrected Depends on own shared libraries (to unbreak upgrade)
    (Closes: #648729)

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 02 Dec 2011 21:09:34 +0100

roaraudio (0.4-1) unstable; urgency=medium

  [ Philipp Schafft ]
  * New upstream release.
    - Fixed several segfauls
    - Fixed pointer aliasing (relevant to MIPS)
    - Fixed a maybe remote attacable buffer overflow
    - Improved error handling
  * Updated lintian overrides
  * Removed useless ${shlibs:Depends} from roaraudio-dbg

  [ Patrick Matthäi ]
  * Wrap all control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 Nov 2011 14:17:20 +0100

roaraudio (0.4~rc0-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Fixed endless loop in MIDI driver, MIDI is now enabled in Debian package.
    - Corrected symlinks for complibs.
    - roard now starts up in 32 bit mode by default. This enabled more easy
      radio streaming.
    - Debian init scripts were improved and match roard again.
  * Updated architecture depended dependencies (Closes: #634335)
  * Removed patch 01-fix-man-errors.diff as it got upstreamed.
  * Removed tools from libroar-dev becaue they are no longer build by upstream:
      roarsocktypes, roarfctest, roarcatad, roarcatsendfile,
      roarcat2sock, roarcatpassfh
  * Updated debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 17 Sep 2011 17:49:59 +0200

=== debian/control ===
--- 
+++ 
@@ -22,18 +22,24 @@
  libcelt-dev (>= 0.7.1),
  libcelt-dev (<< 0.8.0~),
  libpulse-dev [!hurd-i386],
- libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+ libasound2-dev [linux-any],
  portaudio19-dev,
- libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
+ libdnet-dev [linux-any]
 Standards-Version: 3.9.2
 Section: libs
 Homepage: http://roaraudio.keep-cool.org/
 
 Package: libroar1
 Architecture: any
-Suggests: bzip2, gnupg, openssh-client, pinentry, libmuroar0, roaraudio-server,
+Suggests: bzip2,
+ gnupg,
+ openssh-client,
+ pinentry,
+ libmuroar0,
+ roaraudio-server,
  slpd
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Conflicts: libroar0
 Replaces: libroar0
 Description: foundation libraries for the RoarAudio sound server and clients
@@ -65,10 +71,15 @@
 Section: libdevel
 Architecture: any
 Provides: libsndio-dev
-Depends: ${shlibs:Depends}, ${misc:Depends}, libroar1 (= ${binary:Version}),
- libroar-compat1 (= ${binary:Version}), libslp-dev, libx11-dev,
- libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
-Suggests: ckport, libmuroar-dev
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libroar1 (= ${binary:Version}),
+ libroar-compat1 (= ${binary:Version}),
+ libslp-dev,
+ libx11-dev,
+ libdnet-dev [linux-any]
+Suggests: ckport,
+ libmuroar-dev
 Description: header files and documentation for the RoarAudio libraries
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
@@ -100,8 +111,9 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libroar1 (= ${binary:Version}), roaraudio (= ${binary:Version}),
+Depends: ${misc:Depends},
+ libroar1 (= ${binary:Version}),
+ roaraudio (= ${binary:Version}),
  libroar-compat1 (= ${binary:Version})
 Description: RoarAudio sound server for audio mixing (debugging symbols)
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
@@ -133,10 +145,15 @@
 Package: roaraudio
 Section: sound
 Architecture: any
-Provides: roaraudio-server, rsound-server
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: roaraudio-server,
+ rsound-server
+Depends: ${shlibs:Depends},
+ libroar1 (= ${binary:Version}),
+ libroar-compat1 (= ${binary:Version}),
+ ${misc:Depends}
 Recommends: oss-compat [!hurd-i386]
-Suggests: libroar-compat1, socat, wget
+Suggests: socat,
+ wget
 Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1)
 Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1)
 Description: sound server for audio mixing
@@ -148,7 +165,8 @@
 Package: libroar-compat1
 Architecture: any
 Provides: libsndio1
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Breaks: roaraudio (<< 0.3~beta7-pr2-1)
 Conflicts: libroar-compat0
 Replaces: libroar-compat0

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	--proc-net-decnet-neigh /proc/net/decnet_neigh \
 	--proc-net-arp /proc/net/arp \
 	--distribution-version-string "Debian-$(DEB_VERSION)"
-	$(MAKE)
+	CFLAGS="" LDFLAGS="" $(MAKE)
 	touch build-stamp
 
 clean:

## roaraudio 1.0~beta0~pr2

=== debian/changelog ===
roaraudio (1.0~beta0~pr2-1) experimental; urgency=low

  * New upstream pre-release.
    - Remove 01-disable-ipx patch and pass --no-ipx to configure.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 21 Feb 2012 20:31:09 +0100

roaraudio (1.0~beta0~pr1-1) experimental; urgency=low

  * New upstream pre-release.
  * Add missing Conflicts/Replaces on libroar-compat1 to the libroar-compat2
    package.
    Closes: #659783
  * Fix broken libsndio symlinks and move the creation of them from
    debian/rules to dh_link.
  * Remove duplicate dh_link call.
  * Remove librsound.so* symlinks.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 14 Feb 2012 18:57:33 +0100

roaraudio (1.0~beta0~pr0-1) experimental; urgency=low

  * New upstream pre-release.
    - Bump SONAMEs:
      libroar1 to libroar2
      libroar-compat1 to libroar-compat2
  * Do not copy the bash completion to debian/tmp, direct install it instead.
  * Remove deprecated libartsc symlinks from the libroar-compat2 package.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Feb 2012 19:58:10 +0100

roaraudio (0.4-5) unstable; urgency=low

  * Add patch 01-disable-ipx to disable IPX support on all platforms. This
    also fixes the FTBFS on kfreebsd.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 Jan 2012 20:31:11 +0100

roaraudio (0.4-4) unstable; urgency=low

  * Add libipx-dev as build dependency on kfreebsd.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 Jan 2012 13:40:45 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Section: libs
 Homepage: http://roaraudio.keep-cool.org/
 
-Package: libroar1
+Package: libroar2
 Architecture: any
 Suggests: bzip2,
  gnupg,
@@ -73,8 +73,8 @@
 Provides: libsndio-dev
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libroar1 (= ${binary:Version}),
- libroar-compat1 (= ${binary:Version}),
+ libroar2 (= ${binary:Version}),
+ libroar-compat2 (= ${binary:Version}),
  libslp-dev,
  libx11-dev,
  libdnet-dev [linux-any]
@@ -112,9 +112,9 @@
 Architecture: any
 Priority: extra
 Depends: ${misc:Depends},
- libroar1 (= ${binary:Version}),
+ libroar2 (= ${binary:Version}),
  roaraudio (= ${binary:Version}),
- libroar-compat1 (= ${binary:Version})
+ libroar-compat2 (= ${binary:Version})
 Description: RoarAudio sound server for audio mixing (debugging symbols)
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
@@ -148,8 +148,8 @@
 Provides: roaraudio-server,
  rsound-server
 Depends: ${shlibs:Depends},
- libroar1 (= ${binary:Version}),
- libroar-compat1 (= ${binary:Version}),
+ libroar2 (= ${binary:Version}),
+ libroar-compat2 (= ${binary:Version}),
  ${misc:Depends}
 Recommends: oss-compat [!hurd-i386]
 Suggests: socat,
@@ -162,14 +162,16 @@
  It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
  supports many common codecs like Ogg Vorbis, Speex or FLAC.
 
-Package: libroar-compat1
+Package: libroar-compat2
 Architecture: any
 Provides: libsndio1
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Breaks: roaraudio (<< 0.3~beta7-pr2-1)
-Conflicts: libroar-compat0
-Replaces: libroar-compat0
+Conflicts: libroar-compat0,
+ libroar-compat1
+Replaces: libroar-compat0,
+ libroar-compat1
 Description: drop-in replacements for other sound libraries
  To get programs which use the EsounD (ESD), OpenBSD sndio, PulseAudio
  or YIFF API running, you can install this package and replace the appropriate

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	--oss-dev /dev/dsp --oss-mixer-dev /dev/mixer \
 	--proc-net-decnet-neigh /proc/net/decnet_neigh \
 	--proc-net-arp /proc/net/arp \
+	--no-ipx \
 	--distribution-version-string "Debian-$(DEB_VERSION)"
 	CFLAGS="" LDFLAGS="" $(MAKE)
 	touch build-stamp
@@ -47,10 +48,8 @@
 	cp dist/debian-like/roaraudio debian/roaraudio.init
 	cp dist/debian-like/defaults debian/roaraudio.default
 	cp dist/debian-like/sndio.h debian/tmp/usr/include/
-	mkdir -p debian/tmp/etc/bash_completion.d
-	cp plugins/bash/roaraudio debian/tmp/etc/bash_completion.d/roaraudio
-	ln -s libroarsndio.so.1 debian/tmp/usr/lib/libsndio.so.1
-	ln -s libsndio.so.1 debian/tmp/usr/lib/libsndio.so
+	rm -f $(CURDIR)/debian/tmp/usr/lib/roaraudio/complibs/libartsc.so*
+	rm -f $(CURDIR)/debian/tmp/usr/lib/roaraudio/complibs/librsound.so*
 
 build-arch: build
 
@@ -61,9 +60,8 @@
 binary-arch: build install
 	dh_testdir -a
 	dh_testroot -a
-	dh_link -a
 ifneq ($(DEB_BUILD_ARCH),hurd-i386)
-	dh_install --ignore=debian/libroar-compat1.install -plibroar-compat1 "debian/tmp/usr/lib/libroarpulse*.so.*"
+	dh_install --ignore=debian/libroar-compat2.install -plibroar-compat2 "debian/tmp/usr/lib/libroarpulse*.so.*"
 	dh_install --ignore=debian/libroar-dev.install -plibroar-dev "debian/tmp/usr/lib/libroarpulse-simple.so"
 	dh_install --ignore=debian/libroar-dev.install -plibroar-dev "debian/tmp/usr/lib/libroarpulse.so"
 endif
